Bug 6005 - Root of share file/folder creation gets wrong ownership
Root of share file/folder creation gets wrong ownership
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: File services
3.3.0rc2
x64 Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 11:05 UTC by John H Terpstra
Modified: 2009-01-27 18:38 UTC (History)
0 users

See Also:


Attachments
The cluster smb.conf file (871 bytes, text/plain)
2008-12-30 11:06 UTC, John H Terpstra
no flags Details
A shell script to control the cluster (1.56 KB, text/plain)
2008-12-30 11:08 UTC, John H Terpstra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra 2008-12-30 11:05:48 UTC
Using samba-3.3.0-test 12/29/08 in a CTDB configuration.

a) Mounted file system is a gfs2 mount at /mnt/projects with ownership root:root and permissions 0755.

b) Share path = /mnt/projects

c) User is ID-EDD+jht, primary group "ID-EDD+Domain Users"

d) Connection is made using either smbclient, or from a Windows XP client.
    eg: smbclient //storage-alfa/projects -Ujht%secret

e) Before any operations, the filesystem tree looks like this:

 /mnt/projects/           root:root 0755
 /mnt/projects/testdir    root:"ID-EDD+domain users" 0775

f) The following operations are made:
   i) put myfile
   ii) cd testdir
   iii) put myfile

g) the ownerships of the resulting files are:
 /mnt/projects/myfile          root:"ID-EDD+domain users"  0775
 /mnt/projects/testdir/myfile  ID-EDD+jht:"ID-EDD+domain users" 0775

The same permissions behavior happens with a folder (directory) created at the root of the share v's inside a directory under it.
Comment 1 John H Terpstra 2008-12-30 11:06:56 UTC
Created attachment 3842 [details]
The cluster smb.conf file

Here is the smb.conf file as output by 'net conf list'.
Comment 2 John H Terpstra 2008-12-30 11:08:56 UTC
Created attachment 3843 [details]
A shell script to control the cluster

The following may be added to the samba-3.3.0 tree CTDB area if it is considered useful.
Comment 3 Volker Lendecke 2009-01-05 09:20:35 UTC
That's weird. How can ID-EDD+jht write anything in /mnt/projects? Is ID-EDD+jht member of ID-EDD.COM+Domain Admins ?

Please upload a debug level 10 log of smbd of that session.

Thanks,

Volker
Comment 4 John H Terpstra 2009-01-12 21:48:59 UTC
(In reply to comment #3)
> That's weird. How can ID-EDD+jht write anything in /mnt/projects? Is ID-EDD+jht a member of ID-EDD.COM+Domain Admins ?

Yes, that is correct.
 
> Please upload a debug level 10 log of smbd of that session.

Will try to get this asap.

Thanks.

- John T.
Comment 5 John H Terpstra 2009-01-27 18:38:30 UTC
GIT tree code for samba-3-3-test 1/23/09 no longer has this proble.
Case file closed.  Courts adjourned.